(*Description...
This is a utility script and does not implement a trading system. It is currently used as part of the <b><a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18706">MultiSystem V1.1</a></b> sample system.

This script encapsulates the file related functionality in a class. 

*)
//*******************************************
// File class
//
// Adrian Michel 2003
//
// encapsulates the file functionality as a class
//
//*******************************************

//raise Exception.Create( 'This ChartScript can be executed from Wealth-Lab Developer only, and only as a component of other scripts' );

// a file object can be created in 2 modes: create and open. Use the one of the two constants
// in the call to the constructor, along with the file name
const MODE_CREATE = 1;
const MODE_OPEN = 2;

type File = class
     private _fileName : String;
     private _fileDescriptor : integer;

     // constructor taking a file name and a file open mode
     public constructor Create( fileName : String; mode : integer );
     // different methods used on a file
     // free closes the file
     public procedure Free;
     public procedure close;
     public procedure clear;
     public function eof : boolean;
     public procedure flush;
     public function readLine : String;
     public procedure writeLine( line : String );
end;

constructor File.Create( fileName : String; mode : integer );
begin
     _fileName := fileName;
     
     case mode of
     MODE_CREATE:
            _fileDescriptor := FileCreate( fileName );
     MODE_OPEN:
            _fileDescriptor := FileOpen( fileName );
     else
         raise Exception.Create( 'Unknown file mode' );
     end;
end;

procedure File.Free;
begin
     close();
end;

procedure File.close;
begin
     if( _fileDescriptor >= 0 ) then
     begin
         FileClose( _fileDescriptor );
         _fileDescriptor := -1;
     end;
end;

procedure File.clear;
begin
     if( _fileDescriptor >= 0 ) then
         FileClear( _fileDescriptor );
end;

function File.eof: boolean;
begin
     if( _fileDescriptor >= 0 ) then
     begin
         Result := FileEOF( _fileDescriptor );
     end
     else
         Result := false;
end;

procedure File.flush;
begin
     if( _fileDescriptor >= 0 ) then
         FileFlush( _fileDescriptor );
end;

function File.readLine : String;
begin
     if( _fileDescriptor >= 0 ) then
     begin
         Result := FileRead( _fileDescriptor );
     end
     else
         Result := '';
end;

procedure File.writeLine( line : string );
begin
     if( _fileDescriptor >= 0 ) then
         FileWrite( _fileDescriptor, line );
end;




