(*Description...
MultiSystem V1.1 is a framework for integrating different scripts and running them as one system.

This script contains the MultiSystem V1.1 sample entry point.

This script is not a trading system in itself, but rather a tool for developing more sophisticated  trading systems. MultiSystem compatible scripts cannot be run on the web site, as the include directive {$I } is only supported by the Wealth-Lab Developer, so you will need to download all the components on the desktop and run them from there.

Click <b><a href="http://home.pacbell.net/michel/multisystem_v1_1_help.htm">here</a></b> for the complete documentation.

These are the different components of the MultiSystem set of scripts:
<b>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18706">MultiSystem V1.1</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18731">MultiSystem V1.1 Positions</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18708">MultiSystem V1.1 FX</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18710">MultiSystem V1.1 MasterSample</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18711">MultiSystem V1.1 Sample System1</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18712">MultiSystem V1.1 Sample System2</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18713">MultiSystem V1.1 Sample System3</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18714">MultiSystem V1.1 System Template</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18715">MultiSystem V1.1 Filtered System</a>
</b>

The sample provided also uses these utility scripts, so they will have to be present in the system in order for the sample to run without errors:

<b><a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18716">File</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18717">SymbolsList</a>
</b>

Here are links to the previous versions of the MultiSystem set of scripts 
<b><a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=14774">MultiSystem V1.0 </a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=14912">MultiSystem V1.0.1 </a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=15040">MultiSystem V1.0.2 </a></b>

*)
//************************************
//
// MultiSystem V1.1
//
// MasterSample - Entry point for the sample system in MultiSystem V1.1
//
// Adrian Michel 2003
//
//************************************

// including all the necessary scripts
{$I 'MultiSystem V1.1'}
{$I 'MultiSystem V1.1 Filtered System'}
{$I 'MultiSystem V1.1 Sample System1'}
{$I 'MultiSystem V1.1 Sample System2'}
{$I 'MultiSystem V1.1 Sample System3'}

//**************************
//MetaScript Master system sample
//**************************
// declarin the multisystem and system variables
var ms : MultiSystem;
var sys1, sys2, sys3 : System;

// create an object of type MultiSystem
ms := MultiSystem.Create;

// create the three systems
sys1 := System1.Create;
sys2 := System2.Create;
sys3 := System3.Create;

// make the systems known to MultiSystems
ms.addSystem( sys1 );
ms.addSystem( sys2 );
ms.addSystem( sys3 );

//Print( 'Total bars: ' + IntToStr( barcount ) );
// run the resulting MultiSystem
ms.runByBar;

// free all the objects/resources created/acquired during the run

