(*Description...
MultiSystem V1.1 is a framework for integrating different scripts and running them as one system.

This script contains one of the sample systems, based on rickty's "Basic pullback buyer"        uses symbol filtering - see the constructor CreateWithSymbols.

This script is not a trading system in itself, but rather a tool for developing more sophisticated  trading systems. MultiSystem compatible scripts cannot be run on the web site, as the include directive {$I } is only supported by the Wealth-Lab Developer, so you will need to download all the components on the desktop and run them from there.

Click <b><a href="http://home.pacbell.net/michel/multisystem_v1_1_help.htm">here</a></b> for the complete documentation.

These are the different components of the MultiSystem set of scripts:
<b>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18706">MultiSystem V1.1</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18731">MultiSystem V1.1 Positions</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18708">MultiSystem V1.1 FX</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18710">MultiSystem V1.1 MasterSample</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18711">MultiSystem V1.1 Sample System1</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18712">MultiSystem V1.1 Sample System2</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18713">MultiSystem V1.1 Sample System3</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18714">MultiSystem V1.1 System Template</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18715">MultiSystem V1.1 Filtered System</a>
</b>

The sample provided also uses these utility scripts, so they will have to be present in the system in order for the sample to run without errors:

<b><a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18716">File</a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=18717">SymbolsList</a>
</b>

Here are links to the previous versions of the MultiSystem set of scripts 
<b><a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=14774">MultiSystem V1.0 </a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=14912">MultiSystem V1.0.1 </a>
<a href="http://www.wealth-lab.com/cgi-bin/WealthLab.DLL/editsystem?id=15040">MultiSystem V1.0.2 </a></b>

*)
//**********************************
//
// MultiSystem V1.1
//
// System Sample3 - based on rickty's "Basic pullback buyer"
//        uses symbol filtering - see the constructor CreateWithSymbols
//
// Adrian Michel - 2003
//**********************************

type System3 = class( FilteredSystem )
private
BAR: integer;

public constructor Create;
protected procedure runBar( Bar : integer );override;
end;

constructor System3.Create;
begin
     // calls this constructor of the base class in order to use the
     // symbol filtering. to use your own symbol list, replace the name
     // of the file "d:\3.txt" with your own.
     // this will only run this system for symbols that are in the symbol list.
     // The third parameter is the character used as separator between symbols in the symbols file
     // and in this case it is set to the space character
inherited CreateWithSymbols( 0, 'Basic pullback buyer - sample', 'd:\Symbols3.txt', ' ' );
InstallTimeBasedExit( 1 );
end;

procedure System3.runBar( Bar : integer );
begin
    ApplyAutoStops(Bar);
    BuyAtLimit( Bar + 1, 0.94 * PriceClose(Bar), '')
end;
